﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO.IsolatedStorage;
using System.IO;

namespace CsVersion
{
	public partial class Form1 : Form
	{
		const string DataFileName = "TargetData.xml";

		public Form1 ()
		{
			InitializeComponent();

			using (var storage = IsolatedStorageFile.GetUserStoreForDomain())
			{
				if (storage.FileExists(DataFileName))
				{
					using (var input = new IsolatedStorageFileStream(DataFileName, FileMode.Open, FileAccess.Read, storage))
					{
						targetData1.ReadXml(input);
					}
				}
			}
		}

		private void AddNewItem_Click (object sender, EventArgs e)
		{
			var row = (TargetData.ItemRow)((DataRowView)itemBindingSource.AddNew()).Row;
			row.Title = "(no name)";
			row.Body = String.Empty;
			itemBindingSource.ResetBindings(false);
		}

		protected override void OnFormClosing (FormClosingEventArgs e)
		{
			base.OnFormClosing(e);
			if (e.Cancel)
			{
				return;
			}
			using (var storage = IsolatedStorageFile.GetUserStoreForDomain())
			{
				using (var output = new IsolatedStorageFileStream(DataFileName, FileMode.OpenOrCreate, FileAccess.Write, storage))
				{
					targetData1.WriteXml(output);
				}
			}
		}
	}
}
